package com.tmerclub.cloud.search.canal.support.adapter;


/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/20 17:31
 */
class RawStringSourceAdapter implements SourceAdapter<String, String> {
    public RawStringSourceAdapter() {
    }

    public static RawStringSourceAdapter of() {
        return new RawStringSourceAdapter();
    }

    @Override
    public String adapt(String source) {
        return source;
    }
}
